// ------------------------------------------------------- 
// Copyright (C) Bradley M. Bell 2003, All rights reserved 
// ------------------------------------------------------- 
Keyword = 
[
"f2cad  f2cad-20100428: Convert Fortran 77 to C++ AD Types   cmlib derivative",
"license  Your License for the f2cad Software  ",
"Install  Installing f2cad  ",
"get_started  Getting Started Using the f2cad Libraries  ",
"start_adolc.cpp  Getting Started Using Adolc with f2cad Library  ",
"start_cppad.cpp  Getting Started Using CppAD with f2cad Library  ",
"start_fadbad.cpp  Getting Started Using Fadbad with f2cad Library  ",
"prototype  C++ Types Corresponding to Fortran Prototypes  ",
"library  f2cad Library  ",
"d9knus  d9knus  ",
"d9knus.f  d9knus.f  ",
"d9lgmc  d9lgmc  ",
"d9lgmc.f  d9lgmc.f  ",
"daxpy  daxpy   blas",
"daxpy.f  daxpy.f  ",
"dbesks  dbesks  ",
"dbesks.f  dbesks.f  ",
"dbskes  dbskes  ",
"dbskes.f  dbskes.f  ",
"dcsevl  dcsevl   fnlib",
"dcsevl.f  dcsevl.f  ",
"ddot  ddot   blas",
"ddot.f  ddot.f  ",
"dgamlm  dgamlm   fnlib",
"dgamlm.f  dgamlm.f  ",
"dgamma  dgamma  ",
"dgamma.f  dgamma.f  ",
"dgefa  dgefa   blas dgesl",
"dgefa.f  dgefa.f  ",
"dgesl  dgesl   blas",
"dgesl.f  dgesl.f  ",
"dint  dint  ",
"dint.f  dint.f  ",
"dscal  dscal   blas",
"dscal.f  dscal.f  ",
"idamax  idamax   blas",
"idamax.f  idamax.f  ",
"initds  initds   cmlib",
"initds.f  initds.f  ",
"xerror  xerror   cmlib",
"xerror.f  xerror.f  ",
"run.cpp  Run Test of All the Library Routines   examples",
"utility  Utilities used to Test Library  ",
"i1mach  Implementation of Cmlib i1mach Routine in Cpp   c++",
"d1mach  Implementation of Cmlib d1mach Routine in Cpp   c++",
"f2cad_link  f2cad Common Interface to Adolc, CppAD, and Fadbad   doublereal independent partial value",
"AdolcLink  f2cad Common Interface for Adolc  ",
"CppADLink  f2cad Common Interface for CppAD  ",
"FadbadLink  f2cad Common Interface for Fadbad  ",
"near_equal  Determine if Two Double Values Are Nearly Equal   difference absolute or relative",
"xerror2cpp  Implementation of Cmlib xerror Routine in Cpp   c++",
"add2lib.sh  Adding a Fortran Routine to the f2cad Libraries  ",
"whats_new  Changes And Additions To f2cad  "
]

var MaxList = 100;
var Choice  = "";
var Nstring = -1;
var Nkeyword = Keyword.length;
Initialize();

function Initialize()
{
	var i;
	var line;
	for(i = 0; (i < Nkeyword) && (i < MaxList) ; i++)
	{
		line       = Keyword[i].split(/\s+/)
		line[0]    = line[0].toUpperCase();
		line       = line.join(" ");
		Keyword[i] = line;
	}
	UpdateList();
	document.search.string.focus();
}
function UpdateList(event)
{
	key = 0;
	if( window.event )
		key = window.event.keyCode;
	else if( event )
		key = event.which;
	if( key == 13 )
	{	Choose();
		return;
	}
	var string  = document.search.string.value;
	if( Nstring == string.length )
		return;
	Nstring     = string.length;

	var word    = string.match(/\S+/g);
	var nword   = 0;
	if(word != null )
		nword   = word.length;

	var pattern = new Array(nword);
	for(var j = 0; j < nword; j++)
		pattern[j] = new RegExp(word[j], "i");

	var nlist = 0;
	var list  = "";
	Choice    = "";

	for(i = 0; (i < Nkeyword) && (nlist < MaxList) ; i++)
	{
		var match = true;
		for(j = 0; j < nword; j++)
			match = match && pattern[j].test(Keyword[i]);

		if( match )
		{
			line     = Keyword[i].split(/\s+/);

			if( Choice == "" )
				Choice = line[0];

			line  = line.join(" ");
			list  = list + line + "\n";
			nlist = nlist + 1;
		}
	}
	document.search.choice.value  = Choice.toLowerCase();
	document.search.list.value    = list;
}
function Choose()
{
parent.location = document.search.choice.value.toLowerCase() + ".xml";
}
